com.pixelmed.dicom

## Class UnPackBits

- java.lang.Object
- - com.pixelmed.dicom.UnPackBits

    public class UnPackBits
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UnPackBits()`

### Method Summary

Methods
`static byte[]` `decode(byte[] src)`
`static java.io.ByteArrayOutputStream` `decode(java.io.InputStream i)`
`static int` `decode(java.io.InputStream i, byte[] dst, int offset, int n)`
`static int` `decode(java.io.InputStream i, java.io.OutputStream o, int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnPackBits

    public UnPackBits()

### Method Detail

#### decode

    public static final int decode(java.io.InputStream i,
             java.io.OutputStream o,
             int n)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### decode

    public static final java.io.ByteArrayOutputStream decode(java.io.InputStream i)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### decode

    public static final byte[] decode(byte[] src)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### decode

    public static final int decode(java.io.InputStream i,
             byte[] dst,
             int offset,
             int n)
                            throws java.io.IOException

Throws:
  `java.io.IOException`